Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVVerseType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVVerseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVVerseType extends Object implements Serializable

Java class for ConsultChapterIVVerseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVVerseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="VerseNum" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="VerseSeqParent" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="VerseLevel" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="VerseType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CheckBoxInd" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="MinCheckNum" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="AndClauseNum" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="Text" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
             <element name="RequestType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AgreementTerm" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
             <element name="MaxPackageNumber" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="PurchasingAdvisorQualList" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVQualificationListType" minOccurs="0"/>
             <element name="LegalReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ModificationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="AgreementYearMax" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="AgreementRenewalMax" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="SexRestricted" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="MinimumAgeAuthorized" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
             <element name="MaximumAgeAuthorized" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
             <element name="MaximumContent" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
             <element name="MaximumStrength" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
             <element name="MaximumDuration" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
             <element name="OtherAddedDocumentInd" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AddedDocument" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVAddedDocumentType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="VerseSeq" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVVerseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ConsultChapterIVAddedDocumentType>`
  `getAddedDocuments()`
  Gets the value of the addedDocuments property.
  `Integer`
  `getAgreementRenewalMax()`
  The maximum number of renewals allowed for this agreement.
  `QuantityType`
  `getAgreementTerm()`
  The period during which the authorisation of the reimbursement is valid.
  `Integer`
  `getAgreementYearMax()`
  The maximum number of years during which the reimbursement authorisation is valid.
  `Integer`
  `getAndClauseNum()`
  Number of the group for which several branches are involved in order to realise a coherent choice.
  `Instant`
  `getCreatedTimestamp()`
  Record created on
  `String`
  `getCreatedUserId()`
  Record created by
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getLegalReference()`
  The references to the legal text for a verse are only justified if these are different from the ones of the paragraph.
  `QuantityType`
  `getMaximumAgeAuthorized()`
  If the medicine can only be reimbursed for a patient who has past a certain age, this field gives this upper bound.
  `QuantityType`
  `getMaximumContent()`
  Maximum number of medicinal product unities (tablets, ampoules, ...) or maximum volume of a solution that is reimbursed during a certain period.
  `QuantityType`
  `getMaximumDuration()`
  The duration of reimbursement for a maximum daily posology.
  `QuantityType`
  `getMaximumStrength()`
  Strength of the unities (tablets, ampoules, ..) or strength of the solution in the maximum daily posology reimbursed during a certain period.
  `Integer`
  `getMaxPackageNumber()`
  The maximum number of packages reimbursed during the period of reimbursement authorisation.
  `Integer`
  `getMinCheckNum()`
  Minimum amount of choices to be made within the verses one level higher (level + 1) - uninterrupted by a lower level - in order for the choice to be validated according to the legislation.
  `QuantityType`
  `getMinimumAgeAuthorized()`
  If there is a restriction in relation to the minimum age of the patient for this medicine, this field gives the lower bound of the number.
  `Instant`
  `getModificationDate()`
  The date of the modification of the verse will be set only if this one is different from the PUBLICATION_DATE of the paragraph.
  `String`
  `getModificationStatus()`
  Indicates the reason of eventual updating.
  `ConsultChapterIVQualificationListType`
  `getPurchasingAdvisorQualList()`
  The prescription of certain medicines is limited to certain recognised medical profiles.
  `String`
  `getRequestType()`
  The reimbursement requests can be made for a first prescription of a medicine or for the prolongation of an already prescribed medicine for this patient.
  `String`
  `getSexRestricted()`
  Does there exist an inadequacy between the medicine and one of the two sexes ? ‘F’ = Female restriction, ‘M’ = Male restriction
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `ConsultChapterIVTextType`
  `getText()`
  The legislation text within the verse.
  `int`
  `getVerseLevel()`
  Position of the verse in the hierarchy of the paragraph, this number gives the level of the current verse compared to the other verses.
  `int`
  `getVerseNum()`
  Unique number assigned to a verse, among all the verses of the database.
  `int`
  `getVerseSeq()`
  Sequence number of the verse within the paragraph.
  `int`
  `getVerseSeqParent()`
  Pointer towards the parent verse of the actual verse.
  `String`
  `getVerseType()`
  Type of the verses, according to the content of the verse the type will be diagnostic, condition, exclusion, notification , title, warnings, … Currently only value “E” is used to indicate where the verse stipulates exclusion restrictions.
  `boolean`
  `isCheckBoxInd()`
  Does the current verse represent a choice among several alternatives of the same level ? If so a flag must be set in the interface, this field enables to indicate this characteristic.
  `Boolean`
  `isOtherAddedDocumentInd()`
  Are there complementary documents that are indispensable to take a decision concerning the reimbursement authorisation ? Attention, this indicator is not a denormalisation of the electronic documents specified within ADDED_DOCUMENT, it references the medical documents that are part of the patient file and for which there does not exist an electronic version in this DB.
  `void`
  `setAgreementRenewalMax(Integer value)`
  Sets the value of the agreementRenewalMax property.
  `void`
  `setAgreementTerm(QuantityType value)`
  Sets the value of the agreementTerm property.
  `void`
  `setAgreementYearMax(Integer value)`
  Sets the value of the agreementYearMax property.
  `void`
  `setAndClauseNum(Integer value)`
  Sets the value of the andClauseNum property.
  `void`
  `setCheckBoxInd(boolean value)`
  Sets the value of the checkBoxInd property.
  `void`
  `setCreatedTimestamp(Instant value)`
  Sets the value of the createdTimestamp property.
  `void`
  `setCreatedUserId(String value)`
  Sets the value of the createdUserId property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setLegalReference(String value)`
  Sets the value of the legalReference property.
  `void`
  `setMaximumAgeAuthorized(QuantityType value)`
  Sets the value of the maximumAgeAuthorized property.
  `void`
  `setMaximumContent(QuantityType value)`
  Sets the value of the maximumContent property.
  `void`
  `setMaximumDuration(QuantityType value)`
  Sets the value of the maximumDuration property.
  `void`
  `setMaximumStrength(QuantityType value)`
  Sets the value of the maximumStrength property.
  `void`
  `setMaxPackageNumber(Integer value)`
  Sets the value of the maxPackageNumber property.
  `void`
  `setMinCheckNum(Integer value)`
  Sets the value of the minCheckNum property.
  `void`
  `setMinimumAgeAuthorized(QuantityType value)`
  Sets the value of the minimumAgeAuthorized property.
  `void`
  `setModificationDate(Instant value)`
  Sets the value of the modificationDate property.
  `void`
  `setModificationStatus(String value)`
  Sets the value of the modificationStatus property.
  `void`
  `setOtherAddedDocumentInd(Boolean value)`
  Sets the value of the otherAddedDocumentInd property.
  `void`
  `setPurchasingAdvisorQualList(ConsultChapterIVQualificationListType value)`
  Sets the value of the purchasingAdvisorQualList property.
  `void`
  `setRequestType(String value)`
  Sets the value of the requestType property.
  `void`
  `setSexRestricted(String value)`
  Sets the value of the sexRestricted property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setText(ConsultChapterIVTextType value)`
  Sets the value of the text property.
  `void`
  `setVerseLevel(int value)`
  Sets the value of the verseLevel property.
  `void`
  `setVerseNum(int value)`
  Sets the value of the verseNum property.
  `void`
  `setVerseSeq(int value)`
  Sets the value of the verseSeq property.
  `void`
  `setVerseSeqParent(int value)`
  Sets the value of the verseSeqParent property.
  `void`
  `setVerseType(String value)`
  Sets the value of the verseType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVVerseType

    public ConsultChapterIVVerseType()

- ## Method Details

  - ### getCreatedTimestamp

    public Instant getCreatedTimestamp()
    Record created on
    Returns:
      possible object is `String`

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(Instant value)
    Sets the value of the createdTimestamp property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedTimestamp()`

  - ### getCreatedUserId

    public String getCreatedUserId()
    Record created by
    Returns:
      possible object is `String`

  - ### setCreatedUserId

    public void setCreatedUserId(String value)
    Sets the value of the createdUserId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedUserId()`

  - ### getVerseNum

    public int getVerseNum()
    Unique number assigned to a verse, among all the verses of the database. This number enables among others to handle the different versions modified.

  - ### setVerseNum

    public void setVerseNum(int value)
    Sets the value of the verseNum property.

  - ### getVerseSeqParent

    public int getVerseSeqParent()
    Pointer towards the parent verse of the actual verse. The notion of parent is essential in the hierarchical structuring of the paragraph in verses. In fact, the alternatives are always arranged side by side underneath a header verse. This header does not only group the alternatives of the same level, but also specifies the minimum number of choices to make within these alternatives one level lower.

  - ### setVerseSeqParent

    public void setVerseSeqParent(int value)
    Sets the value of the verseSeqParent property.

  - ### getVerseLevel

    public int getVerseLevel()
    Position of the verse in the hierarchy of the paragraph, this number gives the level of the current verse compared to the other verses.

  - ### setVerseLevel

    public void setVerseLevel(int value)
    Sets the value of the verseLevel property.

  - ### getVerseType

    public String getVerseType()
    Type of the verses, according to the content of the verse the type will be diagnostic, condition, exclusion, notification , title, warnings, … Currently only value “E” is used to indicate where the verse stipulates exclusion restrictions.
    Returns:
      possible object is `String`

  - ### setVerseType

    public void setVerseType(String value)
    Sets the value of the verseType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVerseType()`

  - ### isCheckBoxInd

    public boolean isCheckBoxInd()
    Does the current verse represent a choice among several alternatives of the same level ? If so a flag must be set in the interface, this field enables to indicate this characteristic.

  - ### setCheckBoxInd

    public void setCheckBoxInd(boolean value)
    Sets the value of the checkBoxInd property.

  - ### getMinCheckNum

    public Integer getMinCheckNum()
    Minimum amount of choices to be made within the verses one level higher (level + 1) - uninterrupted by a lower level - in order for the choice to be validated according to the legislation. So every verse with a checkbox has to have a parent verse with a granted MIN_CHECK_NUM. And vice versa, every verse with a value > 0 for MIN_CHECK_NUM has to have minimum two children verses with CHECK_BOX_IND equal to ‘True’.
    Returns:
      possible object is `Integer`

  - ### setMinCheckNum

    public void setMinCheckNum(Integer value)
    Sets the value of the minCheckNum property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getMinCheckNum()`

  - ### getAndClauseNum

    public Integer getAndClauseNum()
    Number of the group for which several branches are involved in order to realise a coherent choice. If the valid choice foresees to mark several verses in different non contiguous parts of the paragraph, and therefore in branches not depending on the same parent, grouping according to a random number is planned.
    Returns:
      possible object is `Integer`

  - ### setAndClauseNum

    public void setAndClauseNum(Integer value)
    Sets the value of the andClauseNum property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getAndClauseNum()`

  - ### getText

    public ConsultChapterIVTextType getText()
    The legislation text within the verse.
    Returns:
      possible object is `ConsultChapterIVTextType`

  - ### setText

    public void setText(ConsultChapterIVTextType value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `ConsultChapterIVTextType`
    See Also:
      - `getText()`

  - ### getRequestType

    public String getRequestType()
    The reimbursement requests can be made for a first prescription of a medicine or for the prolongation of an already prescribed medicine for this patient. The legislation text may itself allude to one or the other of these options. The verse can thus itself be dedicated to a request of the type prescription prolongation or to a first request. Not all the verses are required for these two types of requests, this indicator enables to formalise the application field of the verse. ‘Null’, the default option, represents the common option, this means that the verse is valid for a first prescription as well as for a prolongation. N = New request, P = Renewal (prolongation), ‘Null’ = both (N and P)
    Returns:
      possible object is `String`

  - ### setRequestType

    public void setRequestType(String value)
    Sets the value of the requestType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRequestType()`

  - ### getAgreementTerm

    public QuantityType getAgreementTerm()
    The period during which the authorisation of the reimbursement is valid. Unit in D(ays), W(eeks), M(onths), Y(ears)
    Returns:
      possible object is `QuantityType`

  - ### setAgreementTerm

    public void setAgreementTerm(QuantityType value)
    Sets the value of the agreementTerm property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getAgreementTerm()`

  - ### getMaxPackageNumber

    public Integer getMaxPackageNumber()
    The maximum number of packages reimbursed during the period of reimbursement authorisation.
    Returns:
      possible object is `Integer`

  - ### setMaxPackageNumber

    public void setMaxPackageNumber(Integer value)
    Sets the value of the maxPackageNumber property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getMaxPackageNumber()`

  - ### getPurchasingAdvisorQualList

    public ConsultChapterIVQualificationListType getPurchasingAdvisorQualList()
    The prescription of certain medicines is limited to certain recognised medical profiles. If the profession does not have a well-established code or if there are several authorised codes to prescribe or if there is a list with the names of authorised prescribers, an exhaustive list will be set up mentioning either the codes or the names and will be saved in an entity ad hoc. The term by which this list will be known, will be saved in this field.
    Returns:
      possible object is `ConsultChapterIVQualificationListType`

  - ### setPurchasingAdvisorQualList

    public void setPurchasingAdvisorQualList(ConsultChapterIVQualificationListType value)
    Sets the value of the purchasingAdvisorQualList property.
    Parameters:
      `value` - allowed object is `ConsultChapterIVQualificationListType`
    See Also:
      - `getPurchasingAdvisorQualList()`

  - ### getLegalReference

    public String getLegalReference()
    The references to the legal text for a verse are only justified if these are different from the ones of the paragraph. It will therefore always be a modification subsequent to the initial creation of the paragraph.
    Returns:
      possible object is `String`

  - ### setLegalReference

    public void setLegalReference(String value)
    Sets the value of the legalReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLegalReference()`

  - ### getModificationDate

    public Instant getModificationDate()
    The date of the modification of the verse will be set only if this one is different from the PUBLICATION_DATE of the paragraph. This difference in date can occur if a modification is done for one particular verse or if a new verse is added to the paragraph. If any part of the paragraph text changes the MODIFICATION_DATE of the paragraph, the paragraph must find at least one echo among the MODIFICATION_DATEs of the verses. Only parameter changes on paragraph level can create a singularity, a change in PROCESS_TYPE or KEY_STRING.
    Returns:
      possible object is `String`

  - ### setModificationDate

    public void setModificationDate(Instant value)
    Sets the value of the modificationDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getModificationDate()`

  - ### getAgreementYearMax

    public Integer getAgreementYearMax()
    The maximum number of years during which the reimbursement authorisation is valid.
    Returns:
      possible object is `Integer`

  - ### setAgreementYearMax

    public void setAgreementYearMax(Integer value)
    Sets the value of the agreementYearMax property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getAgreementYearMax()`

  - ### getAgreementRenewalMax

    public Integer getAgreementRenewalMax()
    The maximum number of renewals allowed for this agreement.
    Returns:
      possible object is `Integer`

  - ### setAgreementRenewalMax

    public void setAgreementRenewalMax(Integer value)
    Sets the value of the agreementRenewalMax property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getAgreementRenewalMax()`

  - ### getSexRestricted

    public String getSexRestricted()
    Does there exist an inadequacy between the medicine and one of the two sexes ? ‘F’ = Female restriction, ‘M’ = Male restriction
    Returns:
      possible object is `String`

  - ### setSexRestricted

    public void setSexRestricted(String value)
    Sets the value of the sexRestricted property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSexRestricted()`

  - ### getMinimumAgeAuthorized

    public QuantityType getMinimumAgeAuthorized()
    If there is a restriction in relation to the minimum age of the patient for this medicine, this field gives the lower bound of the number. The minimum age is ‘inclusive’, i.e. permitting higher values. E.g. value 2 means “2 or older” or “at least 2”. Unit in D(ays), W(eeks), M(onths), Y(ears)
    Returns:
      possible object is `QuantityType`

  - ### setMinimumAgeAuthorized

    public void setMinimumAgeAuthorized(QuantityType value)
    Sets the value of the minimumAgeAuthorized property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getMinimumAgeAuthorized()`

  - ### getMaximumAgeAuthorized

    public QuantityType getMaximumAgeAuthorized()
    If the medicine can only be reimbursed for a patient who has past a certain age, this field gives this upper bound. Unit in D(ays), W(eeks), M(onths), Y(ears)
    Returns:
      possible object is `QuantityType`

  - ### setMaximumAgeAuthorized

    public void setMaximumAgeAuthorized(QuantityType value)
    Sets the value of the maximumAgeAuthorized property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getMaximumAgeAuthorized()`

  - ### getMaximumContent

    public QuantityType getMaximumContent()
    Maximum number of medicinal product unities (tablets, ampoules, ...) or maximum volume of a solution that is reimbursed during a certain period. E.g. paragraph 1880000, Value = 364 (13 x 28), Unit = Unit in : " De machtiging tot vergoeding op basis van de in 1) vermelde voorwaarden wordt verleend voor hernieuwbare periodes van 12 maanden en wordt beperkt tot maximum 13 verpakkingen van 28 x 75 mg per periode of tot maximum 1 verpakking van 28 x 75 mg en 4 verpakkingen van 84 x 75 mg per periode.”
    Returns:
      possible object is `QuantityType`

  - ### setMaximumContent

    public void setMaximumContent(QuantityType value)
    Sets the value of the maximumContent property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getMaximumContent()`

  - ### getMaximumStrength

    public QuantityType getMaximumStrength()
    Strength of the unities (tablets, ampoules, ..) or strength of the solution in the maximum daily posology reimbursed during a certain period. E.g. paragraph 1250000, Value = 40, Unit = mg in : "De patiënt bij wie endoscopie of, in geval van onmogelijkheid gestaafd door documenten, het radiografie-onderzoek een maagulcus aantoont, kan terugbetaling krijgen voor : - een behandeling met een maximum posologie van 40 mg per dag gedurende 8 weken;"
    Returns:
      possible object is `QuantityType`

  - ### setMaximumStrength

    public void setMaximumStrength(QuantityType value)
    Sets the value of the maximumStrength property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getMaximumStrength()`

  - ### getMaximumDuration

    public QuantityType getMaximumDuration()
    The duration of reimbursement for a maximum daily posology. In exceptional cases, the administration frequency may be stored in this field instead. E.g. paragraph 1250000, Value = 8, Unit = W in : "De patiënt bij wie endoscopie of, in geval van onmogelijkheid gestaafd door documenten, het radiografie-onderzoek een maagulcus aantoont, kan terugbetaling krijgen voor : - een behandeling met een maximum posologie van 40 mg per dag gedurende 8 weken;"
    Returns:
      possible object is `QuantityType`

  - ### setMaximumDuration

    public void setMaximumDuration(QuantityType value)
    Sets the value of the maximumDuration property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getMaximumDuration()`

  - ### isOtherAddedDocumentInd

    public Boolean isOtherAddedDocumentInd()
    Are there complementary documents that are indispensable to take a decision concerning the reimbursement authorisation ? Attention, this indicator is not a denormalisation of the electronic documents specified within ADDED_DOCUMENT, it references the medical documents that are part of the patient file and for which there does not exist an electronic version in this DB. In order to know if there are complementary documents to deliver, one should not only verify if there are no occurrences of document in the entity ADDED_DOCUMENT but also check this indicator.
    Returns:
      possible object is `Boolean`

  - ### setOtherAddedDocumentInd

    public void setOtherAddedDocumentInd(Boolean value)
    Sets the value of the otherAddedDocumentInd property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isOtherAddedDocumentInd()`

  - ### getModificationStatus

    public String getModificationStatus()
    Indicates the reason of eventual updating. ‘C’orrected, ‘E’volved
    Returns:
      possible object is `String`

  - ### setModificationStatus

    public void setModificationStatus(String value)
    Sets the value of the modificationStatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getModificationStatus()`

  - ### getAddedDocuments

    public List<ConsultChapterIVAddedDocumentType> getAddedDocuments()
    Gets the value of the addedDocuments property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addedDocuments property.

    For example, to add a new item, do as follows:

         getAddedDocuments().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultChapterIVAddedDocumentType`

    Returns:
      The value of the addedDocuments property.

  - ### getVerseSeq

    public int getVerseSeq()
    Sequence number of the verse within the paragraph. This number enables among other things to rearrange the original legislation text.

  - ### setVerseSeq

    public void setVerseSeq(int value)
    Sets the value of the verseSeq property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`